Page MenuHomePhabricator

The Optimistic Guy -> RainFall global rename completed without log entry
Closed, ResolvedPublic

Description

I have just renamed https://en.wikipedia.org/wiki/Special:CentralAuth/The_Optimistic_Guy to https://en.wikipedia.org/wiki/Special:CentralAuth/RainFall. The rename appears to be successful, but after I clicked the "Rename user" button, I noticed that the page took a very long time to load. I then got a database error message: "To avoid creating high replication lag, this transaction was aborted because the write duration (75.447417974472) exceeded the 5 second limit. [...] If you are changing many items at once, try doing multiple smaller operations instead." There is no global rename log entry when seen in https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/RainFall and https://meta.wikimedia.org/wiki/Special:Log/gblrename although RxyBotLT in #wikimedia-rename @ freenode reported the rename's log entry. Local rename log entries were correctly created, as seen at https://en.wikipedia.org/w/index.php?title=Special%3ALog&type=renameuser&user=K6ka&page=The+Optimistic+Guy&year=&month=-1&tagfilter=

Event Timeline

K6ka created this task.Aug 5 2016, 5:28 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptAug 5 2016, 5:28 PM

Same problem as T141988, but in another component now.

If we already have known reports about this, it is likely that there are more unknown occurrences of this elsewhere too (due to lock waits, not just long queries). Having inconsistent states seem like a pretty severe issue to me. I have written a possible explanation at T141988#2519765. @aaron Is it possible for that to happen or is there another explanation? Seems like something that need to be fixed in the short term before major bugs arise from this.

aaron added a comment.Aug 13 2016, 8:49 PM

Looks like global user rename/merge have a mess of begin/commit calls that should be cleaned up (with jobs pushed to post-idle trx state or using the same trick regular RenameUser does with presend and locking).

aaron claimed this task.Aug 14 2016, 2:46 AM

Change 304688 had a related patch set uploaded (by Aaron Schulz):
Fix premature transactions commit problems

https://gerrit.wikimedia.org/r/304688

aaron triaged this task as High priority.Aug 18 2016, 7:11 PM
aaron added a project: Performance-Team.
ori moved this task from Inbox to Doing on the Performance-Team board.Aug 18 2016, 7:25 PM

Change 304688 merged by jenkins-bot:
Fix premature transactions commit problems

https://gerrit.wikimedia.org/r/304688

aaron closed this task as Resolved.Aug 22 2016, 8:06 PM
MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Oct 11 2016, 1:11 PM